firebase_database_web 0.2.5+9 copy "firebase_database_web: ^0.2.5+9" to clipboard
firebase_database_web: ^0.2.5+9 copied to clipboard

Platformweb
unlisted

The web implementation of firebase_database

0.2.5+9 #

  • FIX(database,web): clean up stream handlers on "hot restart" (#12915). (e298cb4e)

0.2.5+8 #

  • Update a dependency to the latest release.

0.2.5+7 #

  • Update a dependency to the latest release.

0.2.5+6 #

  • Update a dependency to the latest release.

0.2.5+5 #

  • FIX(database,web): Stop transaction & stream handling exceptions from throwing twice (#12706). (9b3244f7)

0.2.5+4 #

  • Update a dependency to the latest release.

0.2.5+3 #

  • FIX(database,web): Fix exceptions being converted into lowercase (#12661). (f9f46a53)

0.2.5+2 #

  • FIX(database,web): fix broken exception handling on streams (#12647). (0115f79d)

0.2.5+1 #

  • Update a dependency to the latest release.

0.2.5 #

  • FEAT(web): remove the dependency on package:js in favor of dart:js_interop (#12534). (d83f6327)

0.2.4 #

  • FEAT(database,web): migrate web to js_interop to be compatible with WASM (#12530). (07b594f7)

0.2.3+26 #

  • Update a dependency to the latest release.

0.2.3+25 #

  • Update a dependency to the latest release.

0.2.3+24 #

  • Update a dependency to the latest release.

0.2.3+23 #

  • Update a dependency to the latest release.

0.2.3+22 #

  • Update a dependency to the latest release.

0.2.3+21 #

  • Update a dependency to the latest release.

0.2.3+20 #

  • Update a dependency to the latest release.

0.2.3+19 #

  • Update a dependency to the latest release.

0.2.3+18 #

  • Update a dependency to the latest release.

0.2.3+17 #

  • DOCS: change old documentation links of packages in README files (#12136). (24b9ac7e)

0.2.3+16 #

  • Update a dependency to the latest release.

0.2.3+15 #

  • Update a dependency to the latest release.

0.2.3+14 #

  • Update a dependency to the latest release.

0.2.3+13 #

  • Update a dependency to the latest release.

0.2.3+12 #

  • Update a dependency to the latest release.

0.2.3+11 #

  • Update a dependency to the latest release.

0.2.3+10 #

  • Update a dependency to the latest release.

0.2.3+9 #

  • Update a dependency to the latest release.

0.2.3+8 #

  • Update a dependency to the latest release.

0.2.3+7 #

  • Update a dependency to the latest release.

0.2.3+6 #

  • Update a dependency to the latest release.

0.2.3+5 #

  • Update a dependency to the latest release.

0.2.3+4 #

  • Update a dependency to the latest release.

0.2.3+3 #

  • Update a dependency to the latest release.

0.2.3+2 #

  • Update a dependency to the latest release.

0.2.3+1 #

  • Update a dependency to the latest release.

0.2.3 #

  • FEAT: update dependency constraints to sdk: '>=2.18.0 <4.0.0' flutter: '>=3.3.0' (#10946). (2772d10f)

0.2.2+2 #

  • Update a dependency to the latest release.

0.2.2+1 #

  • Update a dependency to the latest release.

0.2.2 #

0.2.1+25 #

  • Update a dependency to the latest release.

0.2.1+24 #

  • Update a dependency to the latest release.

0.2.1+23 #

  • Update a dependency to the latest release.

0.2.1+22 #

  • Update a dependency to the latest release.

0.2.1+21 #

  • Update a dependency to the latest release.

0.2.1+20 #

  • Update a dependency to the latest release.

0.2.1+19 #

  • Update a dependency to the latest release.

0.2.1+18 #

  • Update a dependency to the latest release.

0.2.1+17 #

  • Update a dependency to the latest release.

0.2.1+16 #

  • Update a dependency to the latest release.

0.2.1+15 #

  • Update a dependency to the latest release.

0.2.1+14 #

  • Update a dependency to the latest release.

0.2.1+13 #

  • Update a dependency to the latest release.

0.2.1+12 #

  • Update a dependency to the latest release.

0.2.1+11 #

  • Update a dependency to the latest release.

0.2.1+10 #

  • Update a dependency to the latest release.

0.2.1+9 #

  • Update a dependency to the latest release.

0.2.1+8 #

  • Update a dependency to the latest release.

0.2.1+7 #

  • Update a dependency to the latest release.

0.2.1+6 #

  • Update a dependency to the latest release.

0.2.1+5 #

  • Update a dependency to the latest release.

0.2.1+4 #

  • Update a dependency to the latest release.

0.2.1+3 #

  • Update a dependency to the latest release.

0.2.1+2 #

  • FIX: change the interop to fix an issue with startAt/endAt/limitTo when compilating with dart2js in release mode (#9251). (c2771a42)

0.2.1+1 #

  • Update a dependency to the latest release.

0.2.1 #

  • FEAT: upgrade to support v9.8.1 Firebase JS SDK (#8235). (4b417af5)

0.2.0+17 #

  • FIX: bump firebase_core_platform_interface version to fix previous release. (bea70ea5)

0.2.0+16 #

  • Update a dependency to the latest release.

0.2.0+15 #

  • REFACTOR: use "firebase" instead of "FirebaseExtended" as organisation in all links for this repository (#8791). (d90b8357)

0.2.0+14 #

  • Update a dependency to the latest release.

0.2.0+13 #

  • Update a dependency to the latest release.

0.2.0+12 #

  • Update a dependency to the latest release.

0.2.0+11 #

  • Update a dependency to the latest release.

0.2.0+10 #

  • Update a dependency to the latest release.

0.2.0+9 #

  • FIX: Remove sync as true on Stream broadcast for web platform. (#8420). (4336e047)

0.2.0+8 #

  • Update a dependency to the latest release.

0.2.0+7 #

  • FIX: update all Dart SDK version constraints to Dart >= 2.16.0 (#8184). (df4a5bab)

0.2.0+6 #

  • Update a dependency to the latest release.

0.2.0+5 #

  • Update a dependency to the latest release.

0.2.0+4 #

  • Update a dependency to the latest release.

0.2.0+3 #

  • Update a dependency to the latest release.

0.2.0+2 #

  • FIX: web reference path should now correctly return a path string. (f9995ce0)

0.2.0+1 #

  • Update a dependency to the latest release.

0.2.0 #

  • Graduate package to a stable release. See pre-releases prior to this version for changelog entries.

0.2.0-dev.1 #

  • FIX: ignore emulator already set error on web (hot restart issue) (#7483).

0.2.0-dev.0 #

Note: This release has breaking changes.

  • BREAKING REFACTOR: rework as part of #6979 (#7202).

0.1.2+1 #

  • Update a dependency to the latest release.

0.1.2 #

  • FEAT: automatically inject Firebase JS SDKs (#7359).

0.1.1 #

  • FEAT: support initializing default FirebaseApp instances from Dart (#6549).

0.1.0+2 #

  • Update a dependency to the latest release.

0.1.0+1 #

  • Update a dependency to the latest release.

0.1.0 #

Note: This release has breaking changes.

  • BREAKING FEAT: add initial support for Web.

0.0.1 #

  • Initial release.